<?php
include_once('php/php_headers.php');
$scripts = '<script src="js/formfunctions.js" type="text/javascript"></script>';
html_header('Εισαγωγή ομάδας',$scripts);
session_null('insert_groups');
$g_name=$name=$no_name=$msg=$vis1=$status2='';$vis2=$status1='checked';
if($_SESSION['ekdhlos_level']==0) $devices = get('all','device','','','all');
else $devices = get('simple','device','','','all');
if(isset($_POST['submit'])){
	$insert1=false;
	$g_name  = clean($_POST['name']);		
	if($_POST['visibility'] == "private") {$vis1 = "checked"; $vis2 = "";}
	else if($_POST['visibility'] == "public") {$vis1 = ""; $vis2 = "checked";}	
	if($_POST['status'] == "yes") {$status1 = "checked"; $status2 = "";}
	else if($_POST['status'] == "no") {$status1 = ""; $status2 = "checked";}	
	if(!isset($_POST['name']) || empty($_POST['name'])) $no_name = '<h3 class="triangle-border left more_top">Το όνομα απαιτείται!</h3>';
	else if($_POST['name'] == get('g_name','groups','g_name',$_POST['name'],'one')) $no_name = '<h3 class="triangle-border left more_top">Το όνομα υπάρχει ήδη!</h3>';
	else if(mb_strlen($_POST['name'], 'UTF-8') <2) $no_name = '<h3 class="triangle-border left more_top">Εισάγετε πάνω από δύο χαρακτήρες!</h3>';
	else if(mb_strlen($_POST['name'], 'UTF-8') >=20) $no_name = '<h3 class="triangle-border left more_top">Εισάγετε μέχρι 20 χαρακτήρες!</h3>';
	else if (preg_match("/[^A-Za-z0-9\/\'\(\)\=\<\>\+\-\_\,\!\?\;\:\.\!\' ']/", $_POST['name']))$no_name = '<h3 class="triangle-border left more_top">Μη αποδεκτοί χαρακτήρες!</h3>';
	else $insert1 = true;
	if($insert1){
		$arr=null;
		$i = 0;
		foreach($devices as $row){
			$name="id".$i;
			if (isset($_POST[$name]) && $_POST[$name]==$row['id']){
				$arr.=$row['id'].' , ';
			}
			$i++;
		}
		if (insert('groups',$g_name,$_POST['visibility'],$_POST['status'],$_SESSION['ekdhlos_userid'],$arr)){ 
			$msg = '<div id="msg_ok">Η εισαγωγή έγινε με επιτυχία!</div><br />'; 
			$name="";
			echo "<script>setTimeout('window.location.href=\"insert_groups.php\"', 3000)</script>";
		}
		else $msg = '<div id="msg_error">Σφάλμα κατά την εισαγωγή!</div><br />';
	}
}

/* tools */
echo '<div id="tools6">';
	if($_SESSION['ekdhlos_level']==0) echo '
	<a href="insert_devices.php" title="Εισαγωγή συσκευής"><img alt="Εισαγωγή συσκευής" src="images/icon-insert-big.png" /></a>';
echo '
	<a href="edit_devices.php" title="Επεξεργασία συσκευής"><img alt="Επεξεργασία συσκευής" src="images/Write2.png" /></a>
	<a href="insert_groups.php" title="Εισαγωγή ομάδας"><img alt="Εισαγωγή ομάδας" src="images/icon-insert-big.png" /></a>
	<a href="edit_groups.php" title="Επεξεργασία ομάδας"><img alt="Επεξεργασία ομάδας" src="images/Write2.png" /></a></div>';	
echo '<h1 class="center">Εισαγωγή νέας ομάδας</h1><hr /><br />';
$form = '
<form method="post" accept-charset="utf-8" class="more_left_2 width"><br />
'.$msg.'
    <ol class="hh2">
		<li><label for="field1">Όνομα ομάδας:</label></li>
		<li><input type="text" onkeyup="g_name_validator();" onblur="g_name_validator();" id="field1" class="field" name="name" value="'.$g_name.'" required/></li>	
		<li id="f_msg">'.$no_name.'</li>
    </ol>
    <ol class="hh2">
      <li><label for="field2">Oρατότητα:</label>
			<h5>
				<input type="radio" id="field2" name="visibility" value="private" '.$vis1.'/>&nbsp;Iδιωτική&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="radio" id="field2b" name="visibility" value="public" '.$vis2.'/>&nbsp;Δημόσια
			</h5>
		</li>
    </ol>
    <ol class="hh2">
      <li><label for="field3">Κατάσταση:</label>
				<h5>
					<input type="radio" id="field3" name="status" value="yes" '.$status1.'/>&nbsp;Ενεργή&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<input type="radio" id="field3b" name="status" value="no" '.$status2.'/>&nbsp;Ανενεργή
				</h5>
				</li>
    </ol>';
	if ($devices){
		$form .= '
		<fieldset>
		<h2 class="center">Εισαγωγή συσκευών στην ομάδα</h2><hr />
		<table id="gradient-style">
			<thead>
			<tr>
				<th scope="col" class="width_td">Συσκευή</th>
				<th scope="col">Επιλογή</th>
			</tr>
			</thead>
			<tbody>';
			$i=0;
			foreach($devices as $row){
				$name="id".$i;
					$form .='
					<tr><td>';
					if($row['status']=="no") $form .= "<img alt=\"Ανενεργή\" src=\"images/exclamation-red.png\" title=\"Η συσκευή έχει τεθεί ως ανενεργή!\" />";
						$form .= '
						'.$row['id'].'</td>
						<td><input type="checkbox" name="'.$name.'" value="'.$row['id'].'"/></td>
					</tr>';				
				$i++;
			}
		$form .= '<tbody></table></fieldset><br />';
	}
	$form .= '
		<input type="submit" name="submit" id="submit" onblur="g_name_validator();" class="disable" value="Εισαγωγή" disabled="disabled">
</form>';
echo $form;
html_footer();
?>